<?php 

// +------------------------------------------------------------------+
// | Package Information                                              |
// +------------------------------------------------------------------+

/**
 * @package     ClickCartPro
 * @subpackage  Components
 * @copyright   Copyright 1999-Present Kryptronic, Inc.  All rights reserved.
 * @link        http://www.kryptronic.com
 * @license     GNU/GPL
*/

// +------------------------------------------------------------------+
// | Package                                                          |
// +------------------------------------------------------------------+

// +--
// | No direct access.
// +--

defined('_JEXEC') or die ('Restricted access');

// +--
// | Import.
// +--

jimport( 'joomla.application.component.view' );

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class ClickCartProAdminViewClickCartPro extends JView {

// +------------------------------------------------------------------+
// | Function: display                                                |
// +------------------------------------------------------------------+

function display($tpl = null) {

$setting =& $this->get('Data');

$isNew = ($setting->id == 'DEFAULT');

$text = $isNew ? JText::_('New') : JText::_('Edit');

JToolBarHelper::title(JText::_('ClickCartPro Connector Settings') . ': <small>[ ' . $text . ' ]</small>');

JToolBarHelper::save();

if ($isNew)  {

     JToolBarHelper::cancel();

} else {

     JToolBarHelper::cancel('cancel','Close');

} // End of if statement.

$this->assignRef('setting',$setting);

parent::display($tpl);

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>